%* Retrieve SDD API version number                                     *;
%*                                                                    *; 
%* @macrotype SDD                                                     *;
%* @exposure internal                                                 *;

%macro sasdrugdev_getsddapiversion()
  /des='Get SDD API Version information';
  
  %global _sddRC_ _sddMsg_ ;
  %let _sddRC_=%str(-99);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown error.);

  data _null_;
    attrib returnCode  		length=8;
    attrib message     		length=$200;

	attrib logMsg	        length=$300;
	attrib logMsgPrefix     length=$70;

	attrib apiClientVersion length=$50;
 
    /* map the required java commands                                  */  
    declare javaobj cmd("com/sas/hls/macro/command/GetSDDAPIVersionCommand");
    declare javaobj results("com/sas/hls/macro/results/DefaultResult");
    
    /*  get SDD API Version                                          */ 
    cmd.callVoidMethod("execute", results);
	/* did it work                                                     */ 
    results.callIntMethod("getReturnCode", returnCode);
    results.callStringMethod("getReturnMessage", message);
	/* results                                                         */ 
	cmd.callStringMethod("getAPIClientVersion", apiClientVersion);

	logMsg=" * Retrieving SDD API Version." ;

	logMsgPrefix="NOTE: SAS Drug Development Macro: * ";
	if (returnCode ne 0) then
		logMsgPrefix="ERROR: SAS Drug Development Macro: * ";

   	put;
	put logMsgPrefix " SAS Drug Development macro getsddapiversion";
	put logMsgPrefix " " logMsg;
	put logMsgPrefix " _sddMsg_= " message ;
  	put logMsgPrefix " _sddRC_= " returnCode ;
	put logMsgPrefix " SDD API Client version = " apiClientVersion ;
  	put;

	call symputx("_sddRC_", returnCode);
    call symputx("_sddMsg_", message);

 run;
 	
%mend sasdrugdev_getsddapiversion ;
