%* Determine if a file in the respository is versioned                *;
%*                                                                    *; 
%* @macrotype SDD                                                     *;
%* @exposure internal                                                 *;

%macro sasdrugdev_isversioned(sdd_path=)
  /des='Determine if a file in the respository is versioned';
  
  %global _sddRC_ _sddMsg_  _sddIsVersioned_ ;
  %let _sddRC_=%str(-99);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown error.);

  data _null_;
    attrib returnCode  		length=8;
    attrib message     		length=$200;
    
    /* map the required java commands                                  */  
    declare javaobj cmd("com/sas/hls/macro/command/IsVersionedCommand", "%bquote(&sdd_path)");
    declare javaobj results("com/sas/hls/macro/results/DefaultResult");
    
    /*  is the file versioned                                          */ 
    cmd.callVoidMethod("execute", results);
	/* did it work                                                     */ 
    results.callIntMethod("getReturnCode", returnCode);
    results.callStringMethod("getReturnMessage", message);
    /* results                                                         */ 
    if (returnCode = 0) then
    	call symputx("_sddIsVersioned_", 1) ;
    else
       	call symputx("_sddIsVersioned_", 0);
    if (returnCode=0 or returnCode=-32) then do;
    	put;
    	put "NOTE: SAS Drug Development Macro: * SAS Drug Development macro isVersioned" ;
    	put "NOTE: SAS Drug Development Macro: * testing if object is versioned: &sdd_path" ;
		put "NOTE: SAS Drug Development Macro: * _sddMsg_= " message ;
    	put "NOTE: SAS Drug Development Macro: * _sddRC_= " returnCode ;
    	put;
    end; 
  	/* something went wrong                                            */ 
  	else do;
     	put;
    	put "ERROR: SAS Drug Development Macro: * SAS Drug Development macro isVersioned" ;
    	put "ERROR: SAS Drug Development Macro: * testing if object is versioned: &sdd_path" ;
		put "ERROR: SAS Drug Development Macro: * _sddMsg_= " message ;
    	put "ERROR: SAS Drug Development Macro: * _sddRC_= " returnCode ;
    	put;
    end;
	call symputx("_sddRC_", returnCode);
    call symputx("_sddMsg_", message);
  run;
 	
%mend sasdrugdev_isversioned ;
