%* Update an existing object in the workspace or repository           *;
%*                                                                    *; 
%* @macrotype SDD                                                     *;
%* @exposure internal                                                 *;

%macro sasdrugdev_updatefile(local_path=, sdd_path=, sdd_comment=, sdd_version=)
  /des='Update an existing object in the workspace or repository';

  %global _sddRC_ _sddMsg_ ;
  %let _sddRC_=%str(-99);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown error.);
  
  data _null_;
    attrib returnCode  		length=8;
    attrib message     		length=$200;
    
    /* map the required java commands                                  */  
    declare javaobj cmd("com/sas/hls/macro/command/UpdateFileCommand", "%bquote(&local_path)", "%bquote(&sdd_path)", "%bquote(&sdd_comment)", "%bquote(&sdd_version)");
    declare javaobj results("com/sas/hls/macro/results/DefaultResult");
    
    /*  update the object                                              */ 
    cmd.callVoidMethod("execute", results);
	/* did it work                                                     */ 
    results.callIntMethod("getReturnCode", returnCode);
    results.callStringMethod("getReturnMessage", message);
    /* print message in log: success                                   */ 
    if (returnCode=0) then do;
    	put;
    	put "NOTE: SAS Drug Development Macro: * SAS Drug Development macro updateFile";
    	put "NOTE: SAS Drug Development Macro: * The object was updated: &sdd_path" ;
		put "NOTE: SAS Drug Development Macro: * _sddMsg_= " message ;
    	put "NOTE: SAS Drug Development Macro: * _sddRC_= " returnCode ;
    	put;
    end; 
  	/* error occurred                                                  */ 
  	else do;
    	put;
    	put "ERROR: SAS Drug Development Macro: * SAS Drug Developmnent macro updateFile" ;
    	put "ERROR: SAS Drug Development Macro: * The object was not updated: &sdd_path" ;
    	put "ERROR: SAS Drug Development Macro: * _sddMsg_= " message ;
    	put "ERROR: SAS Drug Development Macro: * _sddRC_= " returnCode ;
    	put;
    end;
	call symputx("_sddRC_", returnCode);
    call symputx("_sddMsg_", message);
  run;
 	
%mend sasdrugdev_updatefile ;
